﻿.pagination {
    justify-content: flex-end;
    margin: 3rem 0;
}

.pagination__prev {
    padding-left: 1rem;
    padding-right: 4rem;
    transform: scaleX(-1);
    margin-right: 2rem;
}

    .pagination__prev span:after {
        top: -.5rem;
    }

    .pagination__next {
        font-weight: 400;
        margin-left: 2rem;
    }

.pagination__link:not(.pagination__prev):not(.pagination__next) {
    height: 5rem;
    width: 4rem;
    padding: 0 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--black);
    position: relative;
}

    .pagination__link:not(.pagination__prev):not(.pagination__next):after {
        content: "";
        width: 2rem;
        height: .2rem;
        background-color: var(--blue);
        position: absolute;
        left: 1rem;
        bottom: 1rem;
        opacity: 0;
        transition: var(--transition-default);
    }

a.pagination__link:not(.pagination__prev):not(.pagination__next):hover {
    color: var(--blue);
}

    a.pagination__link:not(.pagination__prev):not(.pagination__next):hover:after {
        opacity: 1;
    }

.active a.pagination__link:not(.pagination__prev):not(.pagination__next):after {
    opacity: 1;
}

.pagination__item.disabled .pagination__link {
    opacity: .5;
    cursor: initial;
    outline: none !important;
    box-shadow: none !important;
}

    .pagination__item.disabled .pagination__link:hover {
        background-color: var(--blue);
    }

        .pagination__item.disabled .pagination__link:hover span:after {
            right: -2rem;
        }

@media(max-width: 767px) {
    .pagination {
        justify-content: center;
    }

    .pagination__next {
        padding-left: 1rem;
        padding-right: 4rem;
    }

    .pagination__next span {
        text-indent: -9000px;
    }
}
